The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get VM groups by Cluster Id

Prev Next

This URL gets all the VM groups in a cluster.

Resource URL

GET /vmgroup

Request Parameters

Query Parameters:

Field Name Description Data Type Mandatory
clusterId Cluster ID.

You can use the GET /cluster method to get the details of all the clusters.

number Yes

Response Parameters

Following fields are returned in the response.

Field Name Description Data Type
success Indicates if the GET operation is successful.

Value is set to true if the GET operation is successful.

Value is set to false if the GET operation is not successful.

string
msg Not applicable Not applicable
errMsg Not applicable Not applicable
domainName Not applicable Not applicable
data Details of the VM groups array of objects

Request

GET https://%3CNSM_IP%3E/intruvert/webservice/api/v1/cloud/vmgroup?clusterId=8

Response

{
"success": true, 
"msg": null, 
"errMsg": null, 
"domainName": null, 
"data": [
{
"domainId": 0,
"subscriberVMGroupId": 103, 
"groupName": "vmg1"
}]
}